SQL_инъекция и межсайтовый скриптинг в VCD-db

Дата публикации:
20.12.2005
Всего просмотров:
2102
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-4240
CVE-2005-4241
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VCD-db 0.x
Уязвимые версии: VCD-db 0.98 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует при обработке входных данных в параметре “by” сценария “search.php”. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Пример:

/search.php?searchstring=&by=[SQL] 2. Межсайтовый скриптинг возможен из-за недостаточной обработки входных данных в параметре "batch"сценария "index.php" и параметре "title" в модуле поиска. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/?page=category&category_id=1&viewmode=
img&batch=%22%3E%3Cscript%3Ealert
('r0t')%3C/script%3E

URL производителя: vcddb.konni.com

Решение: Установите последнюю версию с сайта производителя.

Источник:

Ссылки: VCD-db vuln.

или введите имя

CAPTCHA